<?php

function load_styles()
{

    wp_enqueue_style(
        'formgen-index-css',
        '/static/formgen/static/css/index.css'
        // 'https://phoefer.at/boxed-test/static/formgen/static/css/index-87qkNvak.css'
    );

    wp_enqueue_style(
        'formgen-style-css',
        // 'https://phoefer.at/boxed-test/static/formgen/static/css/style.css'
        '/static/formgen/static/css/style.css'

    );

    wp_enqueue_style(
        'formgen-bootstrap',
        'https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css'
    );

    wp_enqueue_script(
        'formgen-bootstrap-js',
        'https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js'
    );


}

add_action('wp_enqueue_scripts', 'load_styles');

$id = $attributes['formId'];
$translationsUrl = $attributes['translationUrl'];
echo '<div id="root" tabindex="0" data-formID="'.$id.'" style="max-width: max-content;" data-culture="de" data-translation-url="' . $translationsUrl. '"><script type="module" src="/static/formgen/static/js/index.js"></script></div>';
echo '<script type="text/html" id="egov-template--success-message">
<h2 id="heading_Vielen_Dank__Ihr_Formular_wurde_uebermittelt_">
  <b>Erfolgreich übermittelt</b>
</h2>
<p>
  <button class="btn btn-primary" style="width: 100px;" type="button" onclick="window.location.reload()">
    Fertig
  </button>
</p>
</script>';



